United StatesChange Country, Oracle Worldwide Web Sites Communities I am a... I want to...
JDK-4994427 : Java 1.3.1 Plugin does not work after 1.4.2_03/1.5.0-b38 JRE uninstallation

Details
Type:
Bug
Submit Date:
2004-02-13
Status:
Closed
Updated Date:
2004-04-28
Project Name:
JDK
Resolved Date:
2004-03-10
Component:
install
OS:
windows_2000
Sub-Component:
install
CPU:
generic
Priority:
P3
Resolution:
Fixed
Affected Versions:
1.4.2_03,5.0
Fixed Versions:
1.4.2_05 (05)

Related Reports
Backport:
Relates:
Relates:

Sub Tasks

Description
After uninstalling JRE 1.4.2_03 resp. JRE 1.5.0 build 38, a previous installed Java plugin of 1.3.1_10 does not work anymore. 

Testcase:
- Install JRE 1.3.1_10
- Use IE6 and Sun's Java plugin and make sure, that Applets are working
- Install JRE 1.4.2_03
- Deinstall JRE 1.4.2_03
- Use IE6 and Sun's Java plugin 
=> Applets don't work anymore with IE6 (Java Plugin not installed)

Testcase II:
- Install JRE 1.3.1_10
- Use IE 6 and Sun's Java plugin
=> Applets are working
- Install JRE 1.5.0 build 38
- Deinstall JRE 1.5.0 build 38
- Use IE6 and Sun's Java plugin
=> Applets don't work anymore

                                    

Comments
CONVERTED DATA

BugTraq+ Release Management Values

COMMIT TO FIX:
1.4.2_05
generic
tiger-beta2

FIXED IN:
1.4.2_05
tiger-beta2

INTEGRATED IN:
1.4.2_05
tiger-b42
tiger-beta2

VERIFIED IN:
1.4.2_05


                                     
2004-06-14
WORK AROUND

Reinstall the JRE 1.3.1_10 or use the regfix.reg, attached to this bug report.

                                     
2004-06-11
EVALUATION

Problem is reproduceable as described.
Fix is in progress.
###@###.### 2004-02-18
===================================================================================
Solution is ready and targeting Tiger b42.
###@###.### is responsible to put fix in 1.4.2_05.
###@###.### 2004-03-02

====================================================================================
This problem is in 1.4.2_03 and early builds of tiger beta2 only.
Fix has been integrated in tiger (1.5.0) Beta2 since b42 and backported to 1.4.2_05.
Customer who uses 1.4.2_03 and experiences this problem should upgrade to 1.4.2_05.
Tiger beta and beta2 customers will not see this problem.  
Webrev for fix: http://javaweb.sfbay/~dp144265/webrevs/4994427/webrev/
###@###.### 2004-05-10
###@###.### 2004-05-10
                                     
2004-05-10



Hardware and Software, Engineered to Work Together